Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Batches
  • Home
    • Welcome to Amili Docs
    • Responsible disclosure
    • Become a partner
  • Debt Collection
    • About the AutoCollect API
    • Getting started with the AutoCollect API
    • Webhooks
    • Example Workflow
    • Batches
      • GetBatchById
        GET
      • GetBatchesByOrganization
        GET
      • GetBatchById - Legacy (To be removed)
        GET
    • Collections
      • AcceptDebtCollectionList
      • RejectDebtCollectionList
      • PauseCase
      • WithdrawCase
      • ResumeCase
    • Correction
      • CreateCorrections
    • Invoice
      • CreateInvoices
      • GetInvoicesByOrganization
      • GetInvoiceById
    • Payment
      • CreatePayments
    • Settlement
      • GetSettlements
      • GetSettlement on Id
    • AutoCollect Legacy API
      • Attachment
        • /webapi/api/Attachment
      • Batch
        • /webapi/api/Batch
        • /webapi/api/Batch
      • Ping
        • /webapi/api/Ping
  • Accounts Receivable
    • Actions
      • POST (create) an action
      • POST (create) a reports action/generate a report
    • ArItems
      • GET a list of AR items
      • PUT (update) ar item details
      • GET one AR item
    • AutoPostings
      • POST (create) one or more auto postings
    • Batches
      • GET one batch
    • ClientConfigs
      • GET a list of client config values
      • GET values for one client config key
    • Codes
      • GET ARM system code values
    • Customers
      • POST (create) one customer
      • PUT (update) one customer
      • GET a list of customers
      • GET one customer
      • DELETE a customer
      • POST (create) a batch of customers
      • PUT (update) a batch of customers
    • DocumentBundles
      • GET a list of document bundles
      • GET one document bundle
    • Documents
      • POST (create) one document
      • GET a list of documents
      • GET one document
      • POST (create) a batch of documents
    • Files
      • GET one or more OS files
      • POST (upload) one or more OS files
      • GET one OS file
    • GlItems
      • Get one GL item
      • GET a list of GL items
    • GlMovements
      • Get movement/balance for the latest closed GL year/period
      • GET a list of GL movements/balances
    • Insights
      • GET a list of ADB intervals
    • LogItems
      • GET one log item
      • GET a list of log items
    • PaymentReservations
      • POST (create) a new payment reservation
    • Health
      • Check API health
  1. Batches

GetBatchById

GET
/orgs/{organizationId}/batches/{batchId}
Endpoints for organization management operations

Request

Authorization
Path Params

Responses

🟢200OK
application/json
OK
Body

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Not Found
🟠409Conflict
🟠422Unprocessable Entity
🔴500Internal Server Error
🔴503Service Unavailable
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/orgs//batches/'
Response Response Example
200 - Example 1
{
    "summary": {
        "status": "SUCCESS"
    },
    "data": {
        "batchId": "ae257e86-dc53-4865-9c97-5b125a3a5ac2",
        "type": "INVOICE",
        "status": "SUCCESS",
        "createdAt": "2025-03-09T14:30:00Z",
        "finishedAt": "2025-03-09T14:30:05Z",
        "organizationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "createdBy": "8a1b2c3d-4e5f-6789-abcd-ef0123456789",
        "succeeded": [
            {
                "invoiceId": "cfa69f56-2faf-4a1f-a011-1980d4e385b0",
                "invoiceNumber": "INV-2025-001",
                "caseNumber": "178452"
            }
        ],
        "failed": []
    }
}
Modified at 2026-04-20 10:17:34
Previous
Example Workflow
Next
GetBatchesByOrganization
Built with